//
//  CategoryListingDM.swift
//  WOKA
//
//  Created by MacBook Pro on 19/06/24.
//

import Foundation

// MARK: - CategoryListingDM
struct CategoryListingDM: Codable {
    let result: [ResultData]?
    let totalRecords: Int?

    enum CodingKeys: String, CodingKey {
        case result
        case totalRecords = "total_records"
    }
    
    // MARK: - Result
    struct ResultData: Codable {
        let id: Int?
        let categoryName: String?
        let categoryThumbnail: String?

        enum CodingKeys: String, CodingKey {
            case id
            case categoryName = "category_name"
            case categoryThumbnail = "category_thumbnail"
        }
    }

}
